# Contributing to YACS
We want to make contributing to this project as easy and transparent as
possible.

## Our Development Process
Minor changes and improvements will be released on an ongoing basis. Larger
changes (e.g., changesets implementing a new paper) will be released on a more
periodic basis.

## Pull Requests
We actively welcome your pull requests.

1. Fork the repo and create your branch from `master`.
2. If you've added code that should be tested, add tests.
3. If you've changed APIs, update the documentation.
4. Ensure the test suite passes.
5. Make sure your code lints.
6. Ensure no regressions in baseline model speed and accuracy.

## Coding Style  
* Use automatic formatting:
  * `isort -rc -sl -t 1 --atomic .`
  * `black .`

## License
By contributing to YACS, you agree that your contributions will be licensed
under the LICENSE file in the root directory of this source tree.
